package com.saye.hrs.model;

import java.math.BigDecimal;
import java.io.Serializable;

/**
 * (Doctor)实体类
 *
 * @author makejava
 * @since 2021-09-03 14:06:05
 */
public class Doctor implements Serializable {
    private static final long serialVersionUID = -55008974522512825L;
    /**
     * 医生id
     */
    private Integer doctorId;
    /**
     * 医生姓名
     */
    private String doctorName;
    /**
     * 性别
     */
    private String doctorSex;
    /**
     * 所属医院
     */
    private String hospitalName;
    /**
     * 所属科室
     */
    private String officesName;
    /**
     * 医生照片
     */
    private String doctorImg;
    /**
     * 医生职称
     */
    private String doctorTitle;
    /**
     * 医生特长
     */
    private String doctorForte;
    /**
     * 挂号费
     */
    private BigDecimal registerFee;
    /**
     * 医生简介
     */
    private String doctorAbout;


    public Integer getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getDoctorSex() {
        return doctorSex;
    }

    public void setDoctorSex(String doctorSex) {
        this.doctorSex = doctorSex;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getOfficesName() {
        return officesName;
    }

    public void setOfficesName(String officesName) {
        this.officesName = officesName;
    }

    public String getDoctorImg() {
        return doctorImg;
    }

    public void setDoctorImg(String doctorImg) {
        this.doctorImg = doctorImg;
    }

    public String getDoctorTitle() {
        return doctorTitle;
    }

    public void setDoctorTitle(String doctorTitle) {
        this.doctorTitle = doctorTitle;
    }

    public String getDoctorForte() {
        return doctorForte;
    }

    public void setDoctorForte(String doctorForte) {
        this.doctorForte = doctorForte;
    }

    public BigDecimal getRegisterFee() {
        return registerFee;
    }

    public void setRegisterFee(BigDecimal registerFee) {
        this.registerFee = registerFee;
    }

    public String getDoctorAbout() {
        return doctorAbout;
    }

    public void setDoctorAbout(String doctorAbout) {
        this.doctorAbout = doctorAbout;
    }

}

